init_mod("lag")


lag.standard = 0


--ACCURACY VARIABLES
lag.var("shot", initArray(32))
lag.var("hit", initArray(32))

--AUTOMAX
lag.automoney = 1


--MUTE
lag.var("mute", initArray(32))
lag.var("mutetimer", initArray(32))

--TIME AND DATE

function adm_time_user(p, x, cmd)
local id = tonumber(p)
msg2(id,"255255255 "..os.date("Time: %I:%M %p"))
end
function adm_date_user(p, x, cmd)
local id = tonumber(p)
msg2(id,"255255255 "..os.date("Date: %A, %d %b %Y"))
end

--CHECK's ACCURACY
function adm_stat_user(p, x, cmd)
	local id = tonumber(p)
	local score = tonumber(player(id,"score"))
	local ammo = math.ceil(lag.shot[id]/score)
	local acc = math.ceil((lag.hit[id]/lag.shot[id])*100)
	if (lag.shot[id] == 0) then
		acc = math.ceil(lag.hit[id]*100)
		
	end
	if (score == 0) then
		ammo = lag.shot[id]
	end
	msg(player(id,"name").."'s Ammo Usage: "..ammo.." Per Kills")
	msg(player(id,"name").."'s Accuracy: "..acc.."% HR || Hits: "..lag.hit[id].." || Shots: "..lag.shot[id])
end

function adm_checkstat_admin1(p, x, cmd)
	local id = tonumber(cmd)
	local sr = tonumber (p)
	local score = tonumber(player(id,"score"))
	local ammo = math.ceil(lag.shot[id]/score)
	local acc = math.ceil((lag.hit[id]/lag.shot[id])*100)
	if (lag.shot[id] == 0) then
		acc = math.ceil(lag.hit[id]*100)
		
	end
	if (score == 0) then
		ammo = lag.shot[id]
	end
	msg2(sr,"050050255"..player(id,"name").."'s Ammo Usage: "..ammo.." Per Kills")
	msg2(sr,"050050255"..player(id,"name").."'s Accuracy: "..acc.."% HR || Hits: "..lag.hit[id].." || Shots: "..lag.shot[id])
end
function adm_statall_admin2(p, x, cmd)
	local acc = 0
	local id = tonumber(p)
	for i = 1, 32, 1 do
		--if (player(i,"exist")) then
			acc = math.ceil((lag.hit[i]/lag.shot[i])*100)
			if (lag.shot[i] == 0) then
				acc = math.ceil(lag.hit[i]*100)
			end
			msg2(p,"Accuracy: "..acc.."% HR || Hits: "..lag.hit[i].." || Shots: "..lag.shot[i].." -- "..player(i,"name"))
		--end
	end
end


--MUTE

function adm_mute_superadmin(p, x, cmd)
	local id = tonumber(cmd)
	if not (admins[id] == "superadmin") then
		if lag.mute[id] == 0 then
			lag.mute[id] = 1
			lag.mutetimer[id] = 0
			msg("153153000 "..player(id,"name").." Has Been Muted For 3 Minutes")
		else
			lag.mute[id] = 0
			msg("153153000 "..player(id,"name").." Has Been Unmuted")
		end
	end
end

function adm_muteall_superadmin(p, x, cmd)
	for i = 1, 32, 1 do
		if not (admins[i] == "superadmin") then
			lag.mute[i] = 1
			lag.mutetimer[id] = 0
		end
	end
	msg("153153000 "..player(p,"name").." used @muteall")
end

function adm_unmuteall_superadmin(p, x, cmd)
	for i = 1, 32, 1 do
		lag.mute[i] = 0
	end
	msg("153153000 "..player(p,"name").." used @unmuteall")
end

function LagMuteCheck(p)
	local id = tonumber(p)
	local counter = (lag.mutetimer[id])
	if lag.mute[id] == 1 then
		counter = (180 - counter)
		msg2(id,"255255255 You Have Been Muted || You Still Have "..counter.." Left")
		return true
	else
		return false
	end
end
--AUTO MAX MONEY
function adm_automoney_admin2(p, x, cmd)
	local id = tonumber(p)
	if (lag.automoney == 0) then
		lag.automoney = 1
		msg("153153000 "..player(id,"name").." enabled @automoney")
	else
		lag.automoney = 0
		msg("153153000 "..player(id,"name").." disabled @automoney")
	end
end
function adm_slapt_admin3(p, x, cmd)
	for i = 1, 32, 1 do
		if player(i,"exists") then
			if player(i,"team") == 1 then
				parse("slap "..i)
			end
		end
	end
	msg("153153000 "..player(p,"name").." used @slapt")
end
function adm_slapct_admin3(p, x, cmd)
	for i = 1, 32, 1 do
		if player(i,"exists") then
			if player(i,"team") == 2 then
				parse("slap "..i)
			end
		end
	end
	msg("153153000 "..player(p,"name").." used @slapct")

end

function adm_standard_admin3(p, x, cmd)
	if lag.standard == 0 then
		lag.standard = 1
		parse("mp_startmoney 800")
		lag.automoney = 0
		parse("sv_fow 1")
	
		
		parse("mp_freezetime 3")
		msg("153153000 "..player(p,"name").." enabled @standard mode")
		parse("sv_name [LaG] Standard")
	else 
		lag.standard = 0
		msg("153153000 "..player(p,"name").." disabled @standard mode")
		lag.automoney = 1
		parse("mp_startmoney 16000")
		parse("sv_fow 0")
		
		
		parse("mp_freezetime 0")
	end
end


function adm_specmode_superadmin(p, x, cmd)
	local mode = cmd
	parse("sv_specmode "..cmd)
	msg("153153000 "..player(p,"name").." used @specmode")
end


--HOOKS
function hook_attack_lag(p)
	
		local id = tonumber(p)
		local wpn = tonumber(player(id,"weapontype"))
		if not ((wpn == 0)or (wpn == 74)) then
			lag.shot[id] = lag.shot[id] + 1
		end
	
end

function hook_second_lag()
	for i = 1, 32, 1 do
		if lag.mute[i] == 1 then
			lag.mutetimer[i] = lag.mutetimer[i] + 1
			if lag.mutetimer[i] >= 180 then
				lag.mute[i] = 0
				lag.mutetimer[i] = 0
				msg2(id,"255255255 Your Mute Period Has Ended")
			end
		end	
	end
end

function hook_join_lag(p)
	local id = tonumber(p)
	lag.hit[id] = 0
	lag.shot[id] = 0
	lag.mute[id] = 0
	lag.mutetimer[id] = 0
end

function hook_hit_lag(p,s)
	local id = tonumber(s)
	if (not lag.hit[id]) then
		lag.hit[id] = 0
	end
	lag.hit[id] = lag.hit[id] + 1
end

function hook_projectile_lag(p,weapon,x,y)
	local id = tonumber(p)
	lag.shot[id] = lag.shot[id] + 1
end

function hook_startround_lag()
	if (lag.automoney == 1) then
		for i = 1, 32, 1 do
			if player(i, "exists") then
   				parse("setmoney "..i.." 16000")
			end
		end	
	end
end

return lag.name

