--Initialize
init_mod("sv")

sv.source_clr = Color(80,64,77)
sv.prefix = ""
sv.broadcasttime = initArray(32)
sv.rebuy_toggle = 0
sv.autobalance_toggle = 1
sv.ff_toggle = 0
sv.saytoid = {}
sv.autolagvsall = 0
sv.autolagvsall_team = 0


-- Immunity check
function is_immune(user, victim)
	local user_id= tonumber(user)
	local victim_id= tonumber(victim)
	local user_lv = 0
	local victim_lv = 0

	if admins[user_id] == "admin1" then
		user_lv = 1
	elseif admins[user_id] == "admin2" then
		user_lv = 2
	elseif admins[user_id] == "admin3" then
		user_lv = 3
	elseif admins[user_id] == "superadmin" then
		user_lv = 4
	end
	if admins[victim_id] == "admin1" then
		victim_lv = 1
	elseif admins[victim_id] == "admin2" then
		victim_lv = 2
	elseif admins[victim_id] == "admin3" then
		victim_lv = 3
	elseif admins[victim_id] == "superadmin" then
		victim_lv = 4
	end
	if victim_lv > user_lv then
		return true
	else
		return false
	end
end

function is_adminlvl(i, lvl)
        local admin_lv = admins[i]
	local admin_lvnum = 0
	local lvlnum = 0
	if (lvl == "superadmin") then lvlnum = 4 end
        if (lvl == "admin3") then lvlnum = 2 end
        if (lvl == "admin2") then lvlnum = 3 end
        if (lvl == "admin1") then lvlnum = 1 end

        if admin_lv ~= nil then
                if admin_lv == "superadmin" or admin_lv == "admin3" or admin_lv == "admin2" or admin_lv == "admin1" then
			admin_lvnum = 1
			if admin_lv == "admin2" then admin_lvnum = 2 end
			if admin_lv == "admin3" then admin_lvnum = 3 end
			if admin_lv == "superadmin" then admin_lvnum = 4 end
                        return lvlnum <= admin_lvnum
                else
                        return false
                end
        else
                return false
        end
end


function is_admin(i)
        local admin_lv = admins[i]
        if admin_lv ~= nil then
                if admin_lv == "superadmin" or admin_lv == "admin3" or admin_lv == "admin2" or admin_lv == "admin1" then
                        return true
                else
                        return false
                end
        else
                return false
        end
end

function is_superadmin(i)
	local admin_lv = admins[i]
	if admin_lv ~= nil then
		if admin_lv == "superadmin" then
			return true
		else
			return false
		end
	else
		return false
	end
end


--Act - Command "!echo"

function act_nextmap(p, typ, cmd)
	if os.time() > sv.broadcasttime[p] then
		msg2(p, string.format("nextmap: %s", game("nextmap")))
		sv.broadcasttime[p] = os.time() + 20
	end
end

function act_broadcast(p, typ, cmd)
        if ((not player(p, "usgn") or player(p, "usgn") == 0) and not is_admin(p)) then return invalid(p, typ, "You must be logged into USGN!") end
	if (hye and is_blacklisted(p)) then return invalid(p, typ, "You have been blacklisted!") end

	if os.time() > sv.broadcasttime[p] then
		msg(Color(0, 255, 255), string.format("%s (BROADCAST): %s", player(p, "name"), cmd))
		msg2(p, Color(255, 100, 0),"You have a 20 second cool off period before the next broadcast")
		sv.broadcasttime[p] = os.time() + 20
	else

                if LagMuteCheck ~= nil then
                        if LagMuteCheck(p) then
                                return invalid("You have been muted.")
                        end
                end

		msg2(p, Color(255, 100, 0), string.format("You may not make another broadcast for %s more seconds", sv.broadcasttime[p] - os.time()))
	end
end
	

--ADMIN 1

function adm_echo_admin1(p, typ, cmd)
	if (not cmd) then return invalid() end
	msg(Color(255, 0, 0), sv.prefix..cmd)
end

function adm_say_vip(p, typ, cmd)
	if (not cmd) then return invalid() end
	if (admins[p] ~=nil) then
		local adminlvl = ""
		local adminclr = ""
                if (admins[p] == "superadmin") then
                	adminlvl = "-S-ADMIN"
			adminclr = "255255255"
                elseif (admins[p] == "vip") then
                        adminlvl = "VIP"
			adminclr = "191000255"
                elseif (admins[p] == "admin1") then
                        adminlvl = "ADMIN-1-"
			adminclr = "000112255"
                elseif (admins[p] == "admin2") then
                        adminlvl = "ADMIN-2-"
			adminclr = "000144000"
                elseif (admins[p] == "admin3") then
                        adminlvl = "ADMIN-3-"
			adminclr = "255102000"
                end

                if LagMuteCheck ~= nil then
                        if LagMuteCheck(p) then
                                return invalid("You have been muted.")
                        end
                end

		if (hye ~= nil) then
			if (hye.customlvl[p] ~= nil) then
				adminlvl = hye.customlvl[p]
			end
			if (hye.setcolor[p] ~= nil) then
				adminclr = hye.setcolor[p]
			end
		end

		if (adminlvl ~= "" and adminclr ~= "") then
			msg(""..adminclr..player(p, "name") .. " ("..adminlvl.."): "..cmd)
		end
	end
end

function adm_setsayto_admin1(p, typ, cmd)
	cmd = toTable(cmd)
	local i = cmd[1]

	if (not i) then
		return invalid(p, typ, "Correct Usage: @setsayto [playerid]")
	end

	if (not player(i, "exists")) then
		return invalid(p, typ, "Player does not exist!")
	end

	sv.saytoid[p] = i
	msg2(p, Color(255, 100, 0), "@sayto SET TO " .. i .. " = " .. player(i, "name") .. ". Use @sayto [msg] to PM.")
end

function adm_sayto_admin1(p, typ, cmd)
	if (not sv.saytoid[p]) then
		return invalid(p, typ, "Use @setsayto [id] first!")
	end
	if (not player(sv.saytoid[p], "exists")) then
		sv.saytoid[p] = nil
		return invalid(p, typ, "Use @setsayto [id] first!")
	end

	local i = sv.saytoid[p]
	local _msg = cmd

	if (not _msg) then return invalid(p, typ, "Missing message!") end

	msg2(p, Color(255, 100, 0), string.format("(TO %s): %s", player(i, "name"), _msg))
	msg2(i, Color(255, 100, 0), string.format("%s.(FROM %s): %s", p, player(p, "name"), _msg))

end


--string.trim(string.sub(t, #cmd[1] + 1))
--ADMIN 2

function adm_makect_admin2(p, typ, cmd)
	local id = cmd
	id = tonumber(id)
	if not player(id, "exists") then return invalid(p, typ, "Invalid Player") end
	if is_immune(p, id) then return invalid(p, typ, "Insufficient Access On Higher Admin") end
   	parse("makect "..id)
	msg(sv.source_clr, player(p, "name") .. " @makect "..player(id, "name"))
end
function adm_maket_admin2(p, typ, cmd)
	local id = cmd
	id = tonumber(id)
	if not player(id, "exists") then return invalid(p, typ, "Invalid Player") end
        if is_immune(p, id) then return invalid(p, typ, "Insufficient Access On Higher Admin") end
   	parse("maket "..id)
	msg(sv.source_clr, player(p, "name") .. " @maket "..player(id, "name"))
end

function adm_sayc_admin2(p, typ, cmd)
	if (not cmd) then return invalid() end
	msg("255015015 "..cmd .. "@C")
	msg(sv.source_clr, player(p, "name") .. " used @saycenter. ")
end


function adm_kick_admin2(p, typ, cmd)
	local id = tonumber(cmd)
	if not player(id, "exists") then return invalid(p, typ, "Invalid Player") end
	if not is_superadmin(p) then
		if is_admin(id) then return invalid(p, typ, "Access denied on Admin") end
        	if is_immune(p, id) then return invalid(p, typ, "Insufficient Access On Higher Admin") end
	end
        if is_superadmin(id) then return invalid(p, typ, "Access denied on Superadmin") end

	msg(sv.source_clr, player(p, "name") .. " @kick "..player(id, "name"))
   	parse("kick "..id)
end

function adm_slap_admin2(p, typ, cmd)
	local id = tonumber(cmd)
	if not player(id, "exists") then return invalid(p, typ, "Invalid Player") end
        if is_immune(p, id) then return invalid(p, typ, "Insufficient Access On Higher Admin") end
   	parse("slap "..id)
	msg(sv.source_clr, player(p, "name") .. " @slap "..player(id, "name"))
end


function adm_deathslap_admin2(p, typ, cmd)
	local id = tonumber(cmd)
	if not player(id, "exists") then return invalid(p, typ, "Invalid Player") end
        if is_immune(p, id) then return invalid(p, typ, "Insufficient Access On Higher Admin") end
   	parse("deathslap "..id)
	msg(sv.source_clr, player(p, "name") .. " @deathslap "..player(id, "name"))
end

function adm_kill_admin2(p, typ, cmd)
	local id = tonumber(cmd)
	if not player(id, "exists") then return invalid(p, typ, "Invalid Player") end
        if is_immune(p, id) then return invalid(p, typ, "Insufficient Access On Higher Admin") end
   	-- parse("killplayer "..id)
	parse("sethealth "..id.." 0")
	msg(sv.source_clr, player(p, "name") .. " @kill "..player(id, "name"))
end

function adm_restart_admin2(p, typ, cmd)
        if (restart_more_hye) then
                restart_more_hye()
        end
   	parse("restart")
	msg(sv.source_clr, player(p, "name") .. " used @restart. ")
end

function adm_makespec_admin2(p, typ, cmd)
	local id = tonumber(cmd)
	if not player(id, "exists") then return invalid(p, typ, "Invalid Player") end
        if is_immune(p, id) then return invalid(p, typ, "Insufficient Access On Higher Admin") end
   	parse("makespec "..id)
	msg(sv.source_clr, player(p, "name") .. " @makespec "..player(id, "name"))
end


function adm_restartdelay_admin2(p, typ, cmd)
	local teamb = tostring(cmd)
	teamb = tonumber(teamb)
        if (restart_more_hye) then
                restart_more_hye()
        end
	parse("restartround "..teamb)
	msg(sv.source_clr, player(p, "name") .. " used @restartdelay. ")
end

function adm_public_admin2(p, typ, cmd)	
        msg(Color(255,255,255), "[LaG] Public Server Is Now Unlocked To All Players!@C")
        parse("sv_name [LaG] Public")
        parse("sv_password")
        parse("mp_roundtime 3")
        parse("mp_c4timer 35")
        parse("restartround 5")
        parse("mp_buytime 0.5")
	parse("sv_gm 0")
	parse("mp_damagefactor 1")
        if (adm_lockmax_admin3 ~= nil) then adm_lockmax_admin3(p, typ, 32) end
        if (adm_unlockall_admin3 ~= nil) then adm_unlockall_admin3(p) end
        if (adm_lockteam_admin3 ~= nil) then adm_lockteam_admin3(p, typ, 0) end
        parse("mp_autoteambalance 1")
        sv.autobalance_toggle = 1
        sv.autolagvsall = 0
        lag.automoney = 1

end

function adm_dust_admin2(p, typ, cmd)
        msg(Color(255,255,255), "[LaG] Dust has now been opened to the public!@C")
        parse("sv_name [LaG] Dust")
        parse("sv_password")
        parse("mp_roundtime 3")
        parse("mp_c4timer 35")
        parse("restartround 5")
        parse("mp_buytime 0.5")
        parse("sv_gm 0")
        parse("mp_damagefactor 1")
        if (adm_lockmax_admin3 ~= nil) then adm_lockmax_admin3(p, typ, 32) end
        if (adm_unlockall_admin3 ~= nil) then adm_unlockall_admin3(p) end
        if (adm_lockteam_admin3 ~= nil) then adm_lockteam_admin3(p, typ, 0) end
        parse("mp_autoteambalance 1")
        sv.autobalance_toggle = 1
        sv.autolagvsall = 0
	lag.automoney = 1
end

function adm_nuke_admin2(p, typ, cmd)
	msg(Color(255,255,255), "[LaG] Nuke has now been opened to the public!@C")
	parse("sv_name [LaG] Nuke")
	parse("sv_password")
	parse("mp_roundtime 3")
	parse("mp_c4timer 35")
	parse("restartround 5")
	parse("mp_buytime 0.5")
	parse("sv_gm 0")
	parse("mp_damagefactor 1")
	if (adm_lockmax_admin3 ~= nil) then adm_lockmax_admin3(p, typ, 32) end
	if (adm_unlockall_admin3 ~= nil) then adm_unlockall_admin3(p) end
	if (adm_lockteam_admin3 ~= nil) then adm_lockteam_admin3(p, typ, 0) end
	parse("mp_autoteambalance 1")
	sv.autobalance_toggle = 1
        sv.autolagvsall = 0
        lag.automoney = 1

end

function adm_militia_admin2(p, typ, cmd)
        msg(Color(255,255,255), "[LaG] Militia has now been opened to the public!@C")
        parse("sv_name [LaG] Militia")
        parse("sv_password")
        parse("mp_roundtime 3")
        parse("mp_c4timer 35")
        parse("restartround 5")
        parse("mp_buytime 0.5")
        parse("sv_gm 0")
	parse("mp_damagefactor 1")
        if (adm_lockmax_admin3 ~= nil) then adm_lockmax_admin3(p, typ, 32) end
        if (adm_unlockall_admin3 ~= nil) then adm_unlockall_admin3(p) end
        if (adm_lockteam_admin3 ~= nil) then adm_lockteam_admin3(p, typ, 0) end
        parse("mp_autoteambalance 1")
        sv.autobalance_toggle = 1
        sv.autolagvsall = 0
        lag.automoney = 1

end

function adm_construction_admin2(p, typ, cmd)
        msg(Color(255,255,255), "[LaG] Construction has now been opened to the public!@C")
        parse("sv_name [LaG] Construction")
        parse("sv_password")
        parse("mp_roundtime 3")
        parse("mp_c4timer 35")
        parse("restartround 5")
        parse("mp_buytime 0.5")
        parse("sv_gm 3")
	parse("mp_damagefactor 1")
        if (adm_lockmax_admin3 ~= nil) then adm_lockmax_admin3(p, typ, 32) end
        if (adm_unlockall_admin3 ~= nil) then adm_unlockall_admin3(p) end
        if (adm_lockteam_admin3 ~= nil) then adm_lockteam_admin3(p, typ, 0) end
        parse("mp_autoteambalance 1")
        sv.autobalance_toggle = 1
        sv.autolagvsall = 0
        lag.automoney = 1

end

function adm_rotation_admin2(p, typ, cmd)
        msg(Color(255,255,255), "[LaG] Rotation has now been opened to the public!@C")
        parse("sv_name [LaG] Rotation")
        parse("sv_password")
        parse("mp_roundtime 3")
        parse("mp_c4timer 35")
        parse("restartround 5")
        parse("mp_buytime 0.5")
	parse("sv_gm 0")
	parse("mp_damagefactor 1")
        if (adm_lockmax_admin3 ~= nil) then adm_lockmax_admin3(p, typ, 32) end
        if (adm_unlockall_admin3 ~= nil) then adm_unlockall_admin3(p) end
        if (adm_lockteam_admin3 ~= nil) then adm_lockteam_admin3(p, typ, 0) end
        parse("mp_autoteambalance 1")
        sv.autobalance_toggle = 1
        sv.autolagvsall = 0
        lag.automoney = 1

end

function adm_office_admin2(p, typ, cmd)
        msg(Color(255,255,255), "[LaG] Office has now been opened to the public!@C")
        parse("sv_name [LaG] Office")
        parse("sv_password")
        parse("mp_roundtime 3")
        parse("mp_c4timer 35")
        parse("restartround 5")
        parse("mp_buytime 0.5")
        parse("sv_gm 0")
        parse("mp_damagefactor 1")
        if (adm_lockmax_admin3 ~= nil) then adm_lockmax_admin3(p, typ, 32) end
        if (adm_unlockall_admin3 ~= nil) then adm_unlockall_admin3(p) end
        if (adm_lockteam_admin3 ~= nil) then adm_lockteam_admin3(p, typ, 0) end
        parse("mp_autoteambalance 1")
        sv.autobalance_toggle = 1
        sv.autolagvsall = 0
        lag.automoney = 1

end


function adm_start_admin2(p, typ, cmd)	
        if (restart_more_hye ~= nil) then
                restart_more_hye()
        end
	msg(Color(255,255,255), ">> Prepare Yourselves! Event Initiating! <<@C")
	parse("sv_sound \""..quakeMod.sound.."/thats_the_way.wav\"")
	parse("restartround 5")
	msg(sv.source_clr, player(p, "name") .. " used @start. ")
end


--ADMIN 3

function adm_maxmoneyall_admin3(p, typ, cmd)
	for i = 1, 32, 1 do
		if player(i, "exists") then
   			parse("setmoney "..i.." 16000")
		end
	end
	msg(sv.source_clr, player(p, "name") .. " used @maxmoneyall. ")
end

function adm_teletile_admin3(p, typ, cmd)
	cmd = toTable(cmd)
	local i = cmd[1]
	local x = cmd[2]
	local y = cmd[3]
	if not y then return invalid(p, typ) end
	if not player(i, "exists") then return invalid(p, typ, "Invalid Player") end
	parse(string.format("setpos %s %s %s", i, x*32, y*32))
end

function adm_getpos_admin3(p, typ, cmd)
	local i = tonumber(cmd)
	if not i then i = p end
	if not player(i, "exists") then return invalid(p, typ) end
	msg2(p, Color(255, 100, 0), string.format("%s is located at (%s, %s)", player(i, "name"), math.ceil(player(i, "x")), math.ceil(player(i, "y"))))
end

function adm_gettile_admin3(p, typ, cmd)
	local i = tonumber(cmd)
	if not i then i = p end
	if not player(i, "exists") then return invalid(p, typ) end
	msg2(p, Color(255, 100, 0), string.format("%s is located at (%s, %s)", player(i, "name"), player(i, "tilex"), player(i, "tiley")))
end

function adm_maxmoney_admin3(p, typ, cmd)
	local id = tonumber(cmd)
   	parse("setmoney "..id.." 16000")
	msg(sv.source_clr, player(p, "name") .. " @maxmoney "..player(id, "name"))
end

function adm_bombtimer_admin3(p, typ, cmd)
	local time = tonumber(cmd)
   	parse("mp_c4timer "..time)
	msg(sv.source_clr, player(p, "name") .. " used @bombtimer. ")
end

--function adm_setscore_admin(p, typ, cmd)
--	cmd = toTable(cmd)
--	local id = tonumber(cmd[1])
--	local score = tonumber(cmd[2])
--	if not player(id, "exists") then return invalid(p, typ, "Invalid Player") end
--	parse("setscore "..id.." "..score)
--end

--function adm_setdeath_admin(p, typ, cmd)
--	cmd = toTable(cmd)
--	local id = tonumber(cmd[1])
--	local death = tonumber(cmd[2])
--	if not player(id, "exists") then return invalid(p, typ, "Invalid Player") end
--	parse("setdeaths "..id.." "..death)
--end


function adm_equip_admin3(p, typ, cmd)
	cmd = toTable(cmd)
	local ID = cmd[1]
	local gunid = tonumber(cmd[2])
	if (gunid == 64 or gunid == 65) then
		return invalid(p, typ, "Item cannot be equipped!")
	end
	parse("equip "..ID.." "..gunid)
	msg(sv.source_clr, player(p, "name") .. " @equip "..player(ID, "name"))
end


function adm_setarmor_admin3(p, typ, cmd)
	cmd = toTable(cmd)
	local id = tonumber(cmd[1])
	local armor = tonumber(cmd[2])
	if not player(id, "exists") then return invalid(p, typ, "Invalid Player") end
	if not armor then return invalid() end
	parse("setarmor "..id.." "..armor)
	msg(sv.source_clr, player(p, "name") .. " @setarmor "..player(id, "name"))
end

function adm_speedmod_admin3(p, typ, cmd)
	cmd = toTable(cmd)
	local id = tonumber(cmd[1])
	local spd = tonumber(cmd[2])
	if not player(id, "exists") then return invalid(p, typ, "Invalid Player") end
	parse("speedmod "..id.." "..spd)
	msg(sv.source_clr, player(p, "name") .. " @speedmod "..spd.." "..player(id, "name"))
end

function adm_strip_admin3(p, typ, cmd)
	local id = tonumber(cmd)
	if not player(id, "exists") then return invalid(p, typ, "Invalid Player") end
	parse("strip "..id)
	parse("setarmor "..id.." 0")
	msg(sv.source_clr, player(p, "name") .. " @strip "..player(id, "name"))
end

function adm_disable_admin3(p, typ, cmd)
        local id = tonumber(cmd)
        if not player(id, "exists") then return invalid(p, typ, "Invalid Player") end
        parse("strip "..id)
        parse("setarmor "..id.." 0")
        parse("setmoney "..id.." 0")
	parse("speedmod "..id.." -100")
        msg(sv.source_clr, player(p, "name") .. " @disable "..player(id, "name"))
end

function adm_hp_admin3(p, typ, cmd)
	cmd = toTable(cmd)
	local id = tonumber(cmd[1])
	local hp = tonumber(cmd[2])
	if not player(id, "exists") then return invalid(p, typ, "Invalid Player") end
	if player(id, "health") <= 0 then return invalid(p, typ, "Player is dead!") end
	parse("sethealth "..id.." "..hp)
	msg(sv.source_clr, player(p, "name") .. " @hp "..player(id, "name"))
end

function adm_hpall_admin3(p, typ, cmd)
	cmd = toTable(cmd)
        local hp = tonumber(cmd[1])
        if not hp then return invalid(p, typ, "Missing parameter") end
	for i = 1, 32, 1 do
		if player(i, "exists") and player(i, "health") > 0 then
		        parse("sethealth "..i.." "..hp)
		end
	end
        msg(sv.source_clr, player(p, "name") .. " @hpall "..hp..". ")
end

function adm_teleport_admin3(p, typ, cmd)
	cmd = toTable(cmd)
	local i = cmd[1]
	local x = cmd[2]
	local y = cmd[3]
	if not y then return invalid(p, typ) end
	if not player(i, "exists") then return invalid(p, typ, "Invalid Player") end
	parse(string.format("setpos %s %s %s", i, x, y))
	msg(sv.source_clr, player(p, "name") .. " @teleport "..player(i, "name"))
end


function adm_spawn_admin3(p, typ, cmd)
	cmd = toTable(cmd)
	local i = cmd[1]
	local x = cmd[2]
	local y = cmd[3]
	if not y then return invalid(p, typ) end
	if not player(i, "exists") then return invalid(p, typ, "Invalid Player") end
	parse(string.format("spawnplayer %s %s %s", i, x, y))
	msg(sv.source_clr, player(p, "name") .. " @spawn "..player(i, "name"))
end

function adm_specall_admin3(p, typ, cmd)
	for i = 1, 32, 1 do
		if player(i, "exists") then
			parse("makespec "..i)
		end
	end
	msg(sv.source_clr, player(p, "name") .. " used @specall. ")
end

function adm_equipall_admin3(p, typ, cmd)
	cmd = toTable(cmd)
	local id = tonumber(cmd[1])

        if (id == 64 or id == 65) then
                return invalid(p, typ, "Item cannot be equipped!")
        end

	if (id) then
		for i = 1, 32, 1 do
			if player(i, "exists") then
				parse("equip "..i.." "..id)
			end
		end
		msg(sv.source_clr, player(p, "name") .. " used @equipall. ")
	else
		msg2(p, Color(255, 100, 0),"Correct Usage: @equipall [wpnid]")
	end
end

function adm_whatis_admin3(p, typ, cmd)
        msg2(p, Color(255, 100, 0),"41. Tactical Shield      72. Gas Grenade     79. Light Armor")
        msg2(p, Color(255, 100, 0),"45. Laser                    73. Molotov Cocktail 80. Armor")
        msg2(p, Color(255, 100, 0),"46. Flamethrower        74. Wrench              81. Heavy Armor")
        msg2(p, Color(255, 100, 0),"47. RPG Launcher      75. Snowball            82. Medic Armor")
        msg2(p, Color(255, 100, 0),"48. Rocket Launcher   76. Air Strike           83. Super Armor")
        msg2(p, Color(255, 100, 0),"49. Grenade Launcher 77. Mine                 84. Stealth Suit")
        msg2(p, Color(255, 100, 0),"69. Machete                78. Claw                  85. Chainsaw")
end


--SUPERADMIN - Command "@echo_prefix"

function adm_rebuy_superadmin(p, typ, cmd)
	if (sv.rebuy_toggle == 1) then
		sv.rebuy_toggle = 0
	        parse("mp_grenaderebuy 0")
        	msg(sv.source_clr, player(p, "name") .. " disabled grenade rebuy.")
	else
		sv.rebuy_toggle = 1
		parse("mp_grenaderebuy 1")
	        msg(sv.source_clr, player(p, "name") .. " enabled grenade rebuy.")
	end
end

function adm_svname_superadmin(p, typ, cmd)
	local name = tostring(cmd)
	name = name:gsub(";","")
	parse("sv_name "..name)
end


function adm_svpassword_superadmin(p, typ, cmd)
	local name = string.trim(cmd)
	name = name:gsub(";","")
	parse("sv_password "..name)
end


function adm_fow_admin3(p, typ, cmd)
	local teamb = cmd
	teamb = teamb:gsub(";","")
	parse("sv_fow "..cmd)
end

function adm_map_superadmin(p, typ, cmd)
	local name = tostring(cmd)
	name = name:gsub(";","")
	name = name:gsub(" ","")
	msg2(p, Color(255, 100, 0),"Attempting to load map: '"..name.."'")
	parse("sv_map "..name)
end

--function adm_echoprefix_member(p, typ, cmd)
--	sv.setvar("prefix", cmd, true)
--end

function adm_ff_admin3(p, typ, cmd)
	local teamb = cmd
	if (sv.ff_toggle == 1) then
		sv.ff_toggle = 0
	        parse("sv_friendlyfire 0")
		msg(sv.source_clr, player(p, "name") .. " disabled friendly fire.")
	else
		sv.ff_toggle = 1
	        parse("sv_friendlyfire 1")
		msg(sv.source_clr, player(p, "name") .. " enabled friendly fire.")
	end
end

function adm_gamemode_superadmin(p, typ, cmd)
	local gmode = tostring(cmd)
	gmode = gmode:gsub(";","")
	parse("sv_gamemode " .. gmode)
end

function adm_autobalance_admin3(p, typ, cmd)
	if (sv.autobalance_toggle == 1) then
		sv.autobalance_toggle = 0
		parse("mp_autoteambalance 0")
		msg(sv.source_clr, player(p, "name") .. " disabled auto team balance.")
	else
		sv.autobalance_toggle = 1
		parse("mp_autoteambalance 1")
		msg(sv.source_clr, player(p, "name") .. " enabled auto team balance.")
	end
end


function adm_maxhp_superadmin(p, typ, cmd)
	cmd = toTable(cmd)
	local id = tonumber(cmd[1])
	local hp = tonumber(cmd[2])
	if not player(id, "exists") then return invalid(p, typ, "Invalid Player") end
	parse("setmaxhealth "..id.." "..hp)
	if player(id, "health") > 0 then
	        parse("sethealth "..id.." "..hp)
	end
	msg(sv.source_clr, player(p, "name") .. " @maxhp "..player(id, "name"))
end

function adm_maxhpall_superadmin(p, typ, cmd)
        cmd = toTable(cmd)
        local hp = tonumber(cmd[1])
	for i = 1, 32, 1 do
	        if player(i, "exists") then
	        	parse("setmaxhealth "..i.." "..hp)
			if player(i, "health") > 0 then
			        parse("sethealth "..i.." "..hp)
			end
		end
	end
        msg(sv.source_clr, player(p, "name") .. " @maxhpall.")
end

function adm_unban_superadmin(p, typ, cmd)
	cmd = string.sub(cmd, 0, -2)
	parse("unban "..cmd)
	msg(sv.source_clr, player(p, "name") .. " @unban "..cmd..".")
end

function adm_baniprange_superadmin(p, typ, cmd)
	local iprange = cmd
	if iprange then iprange = util.findpattern(iprange, "[0-9]*[^0-9][0-9]*[^0-9]") end
	if (not iprange) then
		return invalid(p, typ, "Correct Usage: @baniprange 192.168.*")
	end
        file = io.open(conf_dir.."/banned/"..iprange.."cfg", "w+")
        file:write(" banned ;")
        file:close()
	msg2(p, "IP range "..cmd.." banned.")
end

function adm_unbaniprange_superadmin(p, typ, cmd)
        local iprange = cmd
        if iprange then iprange = util.findpattern(iprange, "[0-9]*[^0-9][0-9]*[^0-9]") end
        if (not iprange) then
                return invalid(p, typ, "Correct Usage: @unbaniprange 192.168.*")
        end
	if (util.fileexists(conf_dir.."/banned/"..iprange.."cfg")) then
		os.remove(conf_dir.."/banned/"..iprange.."cfg")
	else
		return invalid(p, typ, "IP range was not banned.")
	end
	msg2(p, "IP range "..cmd.." unbanned.")
end


function adm_banipusgn_superadmin(p, typ, cmd)
	local id = tonumber(cmd)
	if not player(id, "exists") then return invalid(p, typ, "Invalid Player") end
	if is_immune(p, id) then return invalid(p, typ, "Insufficient Access On Higher Admin") end
	if is_superadmin(id) then return invalid(p, typ, "Access denied on Superadmin") end
	msg(sv.source_clr, player(p, "name") .. " @banipusgn "..player(id, "name"))
        msg2(p, sv.source_clr, "IP "..player(id, "ip"))
	msg2(p, sv.source_clr, "USGN "..player(id, "usgn"))

	local ip = player(id, "ip")
	local usgn = player(id, "usgn")
	parse("banip "..ip)
	parse("banusgn "..usgn)
end

function adm_ipban_superadmin(p, typ, cmd)
        parse("banip "..cmd)
	msg2(p, "IP "..cmd.." banned.")
end

function adm_usgnban_superadmin(p, typ, cmd)
        parse("banusgn "..cmd)
	msg2(p, "USGN "..cmd.." banned.")
end

function adm_nameban_superadmin(p, typ, cmd)
        parse("banname "..cmd)
	msg2(p, "Name \""..cmd.."\" banned.")
end

function adm_banip_superadmin(p, typ, cmd)
        local id = tonumber(cmd)
	if not player(id, "exists") then return invalid(p, typ, "Invalid Player") end
        if is_immune(p, id) then return invalid(p, typ, "Insufficient Access On Higher Admin") end
	if is_superadmin(id) then return invalid(p, typ, "Access denied on Superadmin") end
	msg(sv.source_clr, player(p, "name") .. " @banip "..player(id, "name"))
	parse("banip "..id)
end
  
function adm_banname_superadmin(p, typ, cmd)
       local id = tonumber(cmd)
	if not player(id, "exists") then return invalid(p, typ, "Invalid Player") end
        if is_immune(p, id) then return invalid(p, typ, "Insufficient Access On Higher Admin") end
        if is_superadmin(id) then return invalid(p, typ, "Access denied on Superadmin") end
	msg(sv.source_clr, player(p, "name") .. " @banname "..player(id, "name"))
	parse("banname "..id)
end

function adm_banusgn_superadmin(p, typ, cmd)
       local id = tonumber(cmd)
	if not player(id, "exists") then return invalid(p, typ, "Invalid Player") end
        if is_immune(p, id) then return invalid(p, typ, "Insufficient Access On Higher Admin") end
        if is_superadmin(id) then return invalid(p, typ, "Access denied on Superadmin") end
	msg(sv.source_clr, player(p, "name") .. " @banusgn "..player(id, "name"))
  	parse("banusgn "..id)
end


function adm_killall_superadmin(p, typ, cmd)
	for i = 1, 32, 1 do
		if player(i, "exists") and player(i, "health") > 0 then
			parse("killplayer "..i)
		end
	end
	msg(sv.source_clr, player(p, "name") .. " used @killall. ")
end


function adm_slapall_superadmin(p, typ, cmd)
	for i = 1, 32, 1 do
		if player(i, "exists") then
			parse("slap "..i)
		end
	end
	msg(sv.source_clr, player(p, "name") .. " used @slapall. ")
end

function adm_stripall_superadmin(p, typ, cmd)
	for i = 1, 32, 1 do
		if player(i, "exists") then
			parse("strip "..i)
			parse("setarmor "..i.." 0")
		end
	end
	msg(sv.source_clr, player(p, "name") .. " used @stripall. ")
end

function adm_disableall_superadmin(p, typ, cmd)
	for i = 1, 32, 1 do
		if (player(i, "exists")) then
			parse("strip "..i)
			parse("setarmor "..i.." 0")
                        parse("setmoney "..i.." 0")
			parse("speedmod "..i.." -100")
		end
	end
        msg(sv.source_clr, player(p, "name") .. " used @disableall. ")
end

function adm_spawnall_superadmin(p, typ, cmd)
	cmd = toTable(cmd)
	local x = cmd[1]
	local y = cmd[2]
	for i = 1, 32, 1 do
		if player(i, "exists") then
			if player(i, "health") > 0 then
				parse(string.format("spawnplayer %s %s %s", i, x, y))
			end
		end
	end
	msg(sv.source_clr, player(p, "name") .. " used @spawnall. ")
end

function adm_teleportall_superadmin(p, typ, cmd)
	cmd = toTable(cmd)
	local x = cmd[1]
	local y = cmd[2]
	for i = 1, 32, 1 do
		if player(i, "exists") then
			parse(string.format("setpos %s %s %s", i, x, y))
		end
	end
	msg(sv.source_clr, player(p, "name") .. " used @teleportall. ")
end

function adm_lag_admin1(p, typ, cmd)
        msg(sv.source_clr, "www.lag2d.com")
end


--ONEKEY COMMANDS

function adm_war_superadmin(p, typ, cmd)
	local counter = tonumber(cmd)
	msg(Color(255,255,255), "[LaG] War commencing. Everyone please join spectator!@C")
	parse("sv_name [LaG] War")
        parse("sv_password lagger")
        parse("mp_roundtime 3")
        parse("mp_c4timer 255")
        parse("restartround 5")
        parse("mp_buytime 0.5")
	parse("sv_gm 0")
	parse("mp_damagefactor 1")
        if (adm_lockmax_admin3 ~= nil) then adm_lockmax_admin3(p, typ, 32) end
        if (adm_unlockall_admin3 ~= nil) then adm_unlockall_admin3(p) end
        if (adm_lockteam_admin3 ~= nil) then adm_lockteam_admin3(p, typ, 0) end
        parse("mp_autoteambalance 1")
        sv.autobalance_toggle = 1
        sv.autolagvsall = 0
        lag.automoney = 0
end

function adm_training_admin3(p, typ, cmd)
	local counter = tonumber(cmd)
	msg(Color(255,255,255), "[LaG] Training commencing. Non-[LaG] members please leave the server!@C")
	parse("sv_name [LaG] Training")
	parse("sv_password lag10")
        parse("mp_roundtime 3")
        parse("mp_c4timer 35")
        parse("restartround 5")
        parse("mp_buytime 0.5")
	parse("sv_gm 0")
	parse("mp_damagefactor 1")
        if (adm_lockmax_admin3 ~= nil) then adm_lockmax_admin3(p, typ, 32) end
        if (adm_unlockall_admin3 ~= nil) then adm_unlockall_admin3(p) end
        if (adm_lockteam_admin3 ~= nil) then adm_lockteam_admin3(p, typ, 0) end
        parse("mp_autoteambalance 1")
        sv.autobalance_toggle = 1
        sv.autolagvsall = 0
        lag.automoney = 0
end

function adm_tryout_superadmin(p, typ, cmd)
	msg(Color(255,255,255), "[LaG] Tryout commencing. Everyone please join spectator!@C")
	parse("sv_name [LaG] Tryout")
	parse("sv_password lagger")
        parse("mp_roundtime 3")
        parse("mp_c4timer 255")
        parse("restartround 5")
        parse("mp_buytime 0.5")
	parse("sv_gm 0")
	parse("mp_damagefactor 1")
        if (adm_lockmax_admin3 ~= nil) then adm_lockmax_admin3(p, typ, 32) end
        if (adm_unlockall_admin3 ~= nil) then adm_unlockall_admin3(p) end
        if (adm_lockteam_admin3 ~= nil) then adm_lockteam_admin3(p, typ, 0) end
        parse("mp_autoteambalance 1")
        sv.autobalance_toggle = 1
	sv.autolagvsall = 0
        lag.automoney = 1
end

function adm_lagvsall_admin3(p, typ, cmd)
        cmd = toTable(cmd)
        local team = cmd[1]
	if (team ~= "t" and team ~= "ct") then return invalid(p, typ, "Correct usage: @lagvsall [ct/t]") end
	if (team == "t") then team = 1 end
	if (team == "ct") then team = 2 end

	msg(Color(255,255,255), "[LaG] Vs All  commencing. [LaG] members, be prepared to woop some ass!@C")
	parse("sv_name [LaG] Vs ALL")
        parse("sv_password")
        parse("mp_roundtime 3")
        parse("mp_c4timer 35")
        parse("restartround 5")
        parse("mp_buytime 0.5")
	parse("mp_damagefactor 1")
        if (adm_lockmax_admin3 ~= nil) then adm_lockmax_admin3(p, typ, 32) end
        if (adm_unlockall_admin3 ~= nil) then adm_unlockall_admin3(p) end
        if (adm_lockteam_admin3 ~= nil) then adm_lockteam_admin3(p, typ, team) end
        parse("mp_autoteambalance 0")
        sv.autobalance_toggle = 0
	sv.autolagvsall = 1
	sv.autolagvsall_team = cmd[1]
	adm_autolagvsall_admin3(p, typ, sv.autolagvsall_team)
        lag.automoney = 1
end


function adm_autolagvsall_admin3(p, typ, cmd)
	cmd = toTable(cmd)
	local team = cmd[1]
        if (team ~= "t" and team ~= "ct") then return invalid(p, typ, "Correct usage: @autolagvsall [ct/t]") end
        if (team == "t") then team = 1 end
        if (team == "ct") then team = 2 end

        local pr = ""
        for i = 1, 32, 1 do
                if (player(i, "exists")) then
			pr = ""
			if playeruid[i] and admins[i] then pr = admins[i] end
                        if (pr == "superadmin" or pr == "admin3" or pr == "admin2" or pr == "admin1") then
                                if (team == 1) then
					parse("maket "..i)
                                else
					parse("makect "..i)
                                end
                        else
                                if (team == 1) then
					parse("makect "..i)
                                else
					parse("maket "..i)
                                end
                        end
                end
        end
	sv.autolagvsall_team = cmd[1]

end

function adm_specnonlag_admin3(p, typ, cmd)
        local pr = ""
        for i = 1, 32, 1 do
                if (player(i, "exists") and adm_makespec_admin2) then
                        pr = ""
                        if playeruid[i] and admins[i] then pr = admins[i] end
                        if (pr ~= "superadmin" and pr ~= "admin3" and pr ~= "admin2" and pr ~= "admin1") then
                                adm_makespec_admin2(p, typ, i)
                        end
                end
        end
end

function adm_lockspecnonlag_admin3(p, typ, cmd)
        local pr = ""
        for i = 1, 32, 1 do
                if (player(i, "exists") and adm_lockspec_admin3) then
                        pr = ""
                        if playeruid[i] and admins[i] then pr = admins[i] end
                        if (pr ~= "superadmin" and pr ~= "admin3" and pr ~= "admin2" and pr ~= "admin1") then
                                adm_lockspec_admin3(p, typ, i)
                        end
                end
        end

end

function adm_kicknonlag_admin3(p, typ, cmd)
        local pr = ""
        for i = 1, 32, 1 do
                if (player(i, "exists") and adm_kick_admin2) then
                        pr = ""
                        if playeruid[i] and admins[i] then pr = admins[i] end
                        if (pr ~= "superadmin" and pr ~= "admin3" and pr ~= "admin2" and pr ~= "admin1") then
                                adm_kick_admin2(p, typ, i)
                        end
                end
        end
end


function hook_join_sv(p, typ, cmd)
	sv.saytoid[p] = nil
	for i = 1, 32, 1 do
		if (player(i, "exists")) then
			if (sv.saytoid[i] and sv.saytoid[i] == p) then
				sv.saytoid[i] = nil
			end
		end
	end
end

function hook_leave_sv(p, typ, cmd)
	sv.saytoid[p] = nil
	for i = 1, 32, 1 do
		if (player(i, "exists")) then
			if (sv.saytoid[i] and sv.saytoid[i] == p) then
				sv.saytoid[i] = nil
			end
		end
	end
end

toMod(sv.name)
