init_mod("authset")

function adm_authset_superadmin(p, typ, cmd)
	cmd = toTable(cmd)
	local username = cmd[1]
	local privilege = cmd[2]
	local priv = privilege
	local usgn = 0

	if util.fileexists(conf_dir.."/users/"..username..".cfg") then
                for line in io.lines(conf_dir.."/users/"..username..".cfg") do
                        if #line > 0 then
                                local temp = {}
                                for word in string.gmatch(line, "%w+") do
                                        table.insert(temp, word)
                                end

                                usgn = temp[2]
                        end
                end
		if (priv == "user" or priv == "vip" or priv == "admin1" or priv == "admin2" or priv == "admin3" or priv == "superadmin") then
			util.changeUserPrivilege(usgn, privilege)
                        msg2(p, "Succesfully altered \""..username.."\"'s privileges to "..privilege)
		else
			return invalid(p, typ, "Privilege mask does not exist.")
		end
	else
		return invalid(p, typ, "User \""..username.."\" does not exist")
	end

end

return authset.name
